Subject: Re: "top" crashes
From: Emil Briggs <[email-masked]>
To: "Bernd Prager" <[email-masked]>, <[email-masked]>
Date: Fri, 30 Aug 2002 10:31:00 -0400

On Friday 30 August 2002 10:19 am, Bernd Prager wrote:

Bernd it's probably not what's causing the crash but see the message titled 

  Processor time bug in fhandler_proc.cc

that I sent yesterday -- the upshot is that I don't think the results from top 
would be correct if it didn't crash. I've verifed the bug on two machines 
running 1.3.12-4 on Win2K -- the way you can verify it's existence is to cat 
/proc/uptime and compare the value to how long the machine has actually been 
up. 

Emil

> Hi everybody
>
> I found the previous discussion ("a way to read the current cpu load from
> the shell or via a cmdline utility in cygwin?" ) and how to port the "top"
> command to cygwin. I applied the patch from Igor and could compile it
> without any glitches.
>
> But as soon as I run "top" it crashes and generates the file
> 'top.exe.stackdump':
>
> Exception: STATUS_ACCESS_VIOLATION at eip=610A15C9
> eax=00000001 ebx=00000029 ecx=2F303800 edx=000F0600 esi=00000029
> edi=00000001 ebp=0022ED10 esp=0022ED08
> program=C:\bin\cygwin\me\home\top-3.5beta9\top.exe cs=001B ds=0023 es=0023
> fs=0038 gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> 0022ED10  610A15C9  (00000001, 00000029, 0022FD70, 00405686)
> 0022ED30  610A1AFC  (00000001, 00000029, 00000FFF, 0022EF44)
> 0022FD70  0040569B  (00000244, 00FBA010, 004094A0, FFFEFEFF)
> 0022FDF0  00405EDA  (0022FEA0, 0022FE80, 00406174, 00401BB8)
> 0022FEE0  00401BCA  (00000001, 6168414C, 10050278, 0022FF14)
> 0022FF30  61005B8E  (610C29AC, FFFFFFFE, 00000058, 610C28D0)
> 0022FF90  61005E2C  (00000000, 00000000, 80430D77, 00000000)
> 0022FFB0  00406332  (00401518, 037F0009, 0022FFF0, 77E8D326)
> 0022FFC0  0040103C  (00000000, 0022FBAC, 7FFDF000, 61116B48)
> 0022FFF0  77E8D326  (00401000, 00000000, 000000C8, 00000100)
> End of stack trace
>
>
> Any ideas on how to fix that?
> Thanks,
> -- Bernd

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/